Ok finally have figure out that nvidia 1.0-6111 is the latest driver that works with my GeForce2. It looks like it only compiles under kernel 2.6.8

Dilema resovled!